%define pypi_name httpcore

Name:       python-%{pypi_name}
Version:    1.0.7
Release:    %mkrel 3
Summary:    A minimal low-level HTTP client
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/httpcore
Source0:    %{pypi_source}
BuildArch:  noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
The HTTP Core package provides a minimal low-level HTTP client, which does one
thing only. Sending HTTP requests.

%package -n     python3-%{pypi_name}
Summary:        A minimal low-level HTTP client
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The HTTP Core package provides a minimal low-level HTTP client, which does one
thing only. Sending HTTP requests.

%pyproject_extras_subpkg -n python3-%{pypi_name} http2 socks

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpcore

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.7-3.mga10
+ Revision: 2236987
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 1.0.7-2.mga10
+ Revision: 2152282
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 1.0.7-1.mga10
+ Revision: 2126258
- new version 1.0.7

* Fri Jun 28 2024 papoteur <papoteur> 1.0.5-1.mga10
+ Revision: 2077533
- new version 1.0.5

* Sun Dec 10 2023 wally <wally> 1.0.2-1.mga10
+ Revision: 2016827
- new version 1.0.2

* Sun Oct 01 2023 papoteur <papoteur> 0.18.0-2.mga10
+ Revision: 1992670
- relax requirements again
- relax requirements
- add extras packages http2 and socks
- new 0.18
- new 0.18.0

* Sun Sep 18 2022 guillomovitch <guillomovitch> 0.15.0-1.mga9
+ Revision: 1889840
- new version 0.15.0

* Wed Mar 23 2022 umeabot <umeabot> 0.14.7-3.mga9
+ Revision: 1823701
- Mageia 9 Mass Rebuild

* Wed Mar 23 2022 guillomovitch <guillomovitch> 0.14.7-2.mga9
+ Revision: 1823208
- relax versionned dependency on python-h11

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.14.7-1.mga9
+ Revision: 1784379
- version 0.14.7
- rebuild for python-3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 0.14.3-1.mga9
+ Revision: 1761622
- new version 0.14.3

* Sat Sep 25 2021 guillomovitch <guillomovitch> 0.13.7-1.mga9
+ Revision: 1746346
- new version 0.13.7

* Sun Aug 22 2021 wally <wally> 0.13.6-1.mga9
+ Revision: 1742182
-  new version 0.13.6

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.12.3-2.mga9
+ Revision: 1705038
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 0.12.3-1.mga9
+ Revision: 1691744
- new version 0.12.3

* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.12.2-1.mga8
+ Revision: 1649850
- new version 0.12.2

* Tue Nov 10 2020 guillomovitch <guillomovitch> 0.12.1-1.mga8
+ Revision: 1644329
- new version 0.12.1

* Mon Oct 12 2020 guillomovitch <guillomovitch> 0.12.0-1.mga8
+ Revision: 1634572
- new version 0.12.0

* Thu Oct 01 2020 guillomovitch <guillomovitch> 0.11.1-1.mga8
+ Revision: 1631475
- new version 0.11.1

* Fri Sep 25 2020 guillomovitch <guillomovitch> 0.11.0-1.mga8
+ Revision: 1630007
- new version 0.11.0

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.10.2-1.mga8
+ Revision: 1622512
- new version 0.10.2

* Sun Jul 12 2020 guillomovitch <guillomovitch> 0.9.1-1.mga8
+ Revision: 1605704
- imported package python-httpcore

